Package org.jboss.resteasy.plugins.providers.multipart.i18n

## Class Messages_$bundle

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.multipart.i18n.Messages_$bundle

- All Implemented Interfaces:
    `Serializable`, `Messages`

      @Generated(value="org.jboss.logging.processor.generator.model.MessageBundleImplementor",
                 date="2021-10-01T14:27:02-0700")
      public class Messages_$bundle
      extends Object
      implements Messages, Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Messages_$bundle` | `INSTANCE` |

    - ### Fields inherited from interface org.jboss.resteasy.plugins.providers.multipart.i18n.Messages

      `BASE, MESSAGES`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Messages_$bundle()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `couldFindNoContentDispositionHeader()` |
    `protected String` | `couldFindNoContentDispositionHeader$str()` |
    `String` | `couldNotParseContentDisposition​(org.apache.james.mime4j.stream.Field field)` |
    `protected String` | `couldNotParseContentDisposition$str()` |
    `String` | `dataSourceRepresentsXopMessagePart()` |
    `protected String` | `dataSourceRepresentsXopMessagePart$str()` |
    `String` | `exceptionWhileExtractionAttachment​(String cid)` |
    `protected String` | `exceptionWhileExtractionAttachment$str()` |
    `protected Locale` | `getLoggingLocale()` |
    `String` | `hadToWriteMultipartOutput​(MultipartOutput multipartOutput, AbstractMultipartWriter writer, Class<?> clazz)` |
    `protected String` | `hadToWriteMultipartOutput$str()` |
    `String` | `noAttachmentFound​(String cid, String contentId)` |
    `protected String` | `noAttachmentFound$str()` |
    `String` | `notMeantForStandaloneUsage()` |
    `protected String` | `notMeantForStandaloneUsage$str()` |
    `protected Object` | `readResolve()` |
    `String` | `receivedGenericType​(javax.ws.rs.ext.MessageBodyReader<?> reader, Type genericType, Class<?> clazz)` |
    `protected String` | `receivedGenericType$str()` |
    `String` | `swaRefsNotSupported()` |
    `protected String` | `swaRefsNotSupported$str()` |
    `String` | `unableToFindMessageBodyReader​(javax.ws.rs.core.MediaType mediaType, String type)` |
    `protected String` | `unableToFindMessageBodyReader$str()` |
    `String` | `unableToGetBoundary()` |
    `protected String` | `unableToGetBoundary$str()` |
    `String` | `urlDecoderDoesNotSupportUtf8()` |
    `protected String` | `urlDecoderDoesNotSupportUtf8$str()` |
    `String` | `urlEncoderDoesNotSupportUtf8()` |
    `protected String` | `urlEncoderDoesNotSupportUtf8$str()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final Messages_$bundle INSTANCE

  - ### Constructor Detail

    - #### Messages_$bundle

          protected Messages_$bundle()

  - ### Method Detail

    - #### readResolve

          protected Object readResolve()

    - #### getLoggingLocale

          protected Locale getLoggingLocale()

    - #### couldFindNoContentDispositionHeader$str

          protected String couldFindNoContentDispositionHeader$str()

    - #### couldFindNoContentDispositionHeader

          public final String couldFindNoContentDispositionHeader()

      Specified by:
        `couldFindNoContentDispositionHeader` in interface `Messages`

    - #### couldNotParseContentDisposition$str

          protected String couldNotParseContentDisposition$str()

    - #### couldNotParseContentDisposition

          public final String couldNotParseContentDisposition​(org.apache.james.mime4j.stream.Field field)

      Specified by:
        `couldNotParseContentDisposition` in interface `Messages`

    - #### dataSourceRepresentsXopMessagePart$str

          protected String dataSourceRepresentsXopMessagePart$str()

    - #### dataSourceRepresentsXopMessagePart

          public final String dataSourceRepresentsXopMessagePart()

      Specified by:
        `dataSourceRepresentsXopMessagePart` in interface `Messages`

    - #### exceptionWhileExtractionAttachment$str

          protected String exceptionWhileExtractionAttachment$str()

    - #### exceptionWhileExtractionAttachment

          public final String exceptionWhileExtractionAttachment​(String cid)

      Specified by:
        `exceptionWhileExtractionAttachment` in interface `Messages`

    - #### hadToWriteMultipartOutput$str

          protected String hadToWriteMultipartOutput$str()

    - #### hadToWriteMultipartOutput

          public final String hadToWriteMultipartOutput​(MultipartOutput multipartOutput,
                                                        AbstractMultipartWriter writer,
                                                        Class<?> clazz)

      Specified by:
        `hadToWriteMultipartOutput` in interface `Messages`

    - #### noAttachmentFound$str

          protected String noAttachmentFound$str()

    - #### noAttachmentFound

          public final String noAttachmentFound​(String cid,
                                                String contentId)

      Specified by:
        `noAttachmentFound` in interface `Messages`

    - #### notMeantForStandaloneUsage$str

          protected String notMeantForStandaloneUsage$str()

    - #### notMeantForStandaloneUsage

          public final String notMeantForStandaloneUsage()

      Specified by:
        `notMeantForStandaloneUsage` in interface `Messages`

    - #### receivedGenericType$str

          protected String receivedGenericType$str()

    - #### receivedGenericType

          public final String receivedGenericType​(javax.ws.rs.ext.MessageBodyReader<?> reader,
                                                  Type genericType,
                                                  Class<?> clazz)

      Specified by:
        `receivedGenericType` in interface `Messages`

    - #### swaRefsNotSupported$str

          protected String swaRefsNotSupported$str()

    - #### swaRefsNotSupported

          public final String swaRefsNotSupported()

      Specified by:
        `swaRefsNotSupported` in interface `Messages`

    - #### unableToFindMessageBodyReader$str

          protected String unableToFindMessageBodyReader$str()

    - #### unableToFindMessageBodyReader

          public final String unableToFindMessageBodyReader​(javax.ws.rs.core.MediaType mediaType,
                                                            String type)

      Specified by:
        `unableToFindMessageBodyReader` in interface `Messages`

    - #### unableToGetBoundary$str

          protected String unableToGetBoundary$str()

    - #### unableToGetBoundary

          public final String unableToGetBoundary()

      Specified by:
        `unableToGetBoundary` in interface `Messages`

    - #### urlDecoderDoesNotSupportUtf8$str

          protected String urlDecoderDoesNotSupportUtf8$str()

    - #### urlDecoderDoesNotSupportUtf8

          public final String urlDecoderDoesNotSupportUtf8()

      Specified by:
        `urlDecoderDoesNotSupportUtf8` in interface `Messages`

    - #### urlEncoderDoesNotSupportUtf8$str

          protected String urlEncoderDoesNotSupportUtf8$str()

    - #### urlEncoderDoesNotSupportUtf8

          public final String urlEncoderDoesNotSupportUtf8()

      Specified by:
        `urlEncoderDoesNotSupportUtf8` in interface `Messages`